dbXML API

## com.dbxml.db.admin.nodes
Class RolesNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode
          com.dbxml.db.admin.nodes.RolesNode

All Implemented Interfaces:
  HasChildren, HasCollection, HasMenu

public final class RolesNode
extends AdminNode
implements HasCollection, HasChildren, HasMenu

RolesNode

Field Summary
`static int` `ACTION_ADD`

Fields inherited from interface com.dbxml.db.admin.nodes.HasMenu
`REFRESH_CHILDREN, REFRESH_NONE, REFRESH_PARENT, REFRESH_SELF, REFRESH_TREE, REMOVE_SELF`

Constructor Summary
`RolesNode(AdminNode parentNode, CollectionClient col, int type)`
`RolesNode(AdminNode parentNode, CollectionClient col, java.lang.String userID)`

Method Summary
`AdminNode[]` `getChildren()`
`CollectionClient` `getCollection()`
`javax.swing.Icon` `getIcon()`
`java.lang.String` `getLabel()`
`MenuItem[]` `getMenu()`
`java.lang.String` `getMenuTitle()`
`int` `menuAction(int action)`

Methods inherited from class com.dbxml.db.admin.nodes.AdminNode
`close, getColor, getFont, getParentNode, getTooltip, isParentMenuInherited, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_ADD

    public static final int ACTION_ADD

See Also:
  Constant Field Values

Constructor Detail

### RolesNode

    public RolesNode(AdminNode parentNode,
                     CollectionClient col,
                     java.lang.String userID)

### RolesNode

    public RolesNode(AdminNode parentNode,
                     CollectionClient col,
                     int type)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AdminNode`

### getMenuTitle

    public java.lang.String getMenuTitle()

  Specified by:
    `getMenuTitle` in interface `HasMenu`
  Overrides:
    `getMenuTitle` in class `AdminNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `AdminNode`

### getCollection

    public CollectionClient getCollection()

  Specified by:
    `getCollection` in interface `HasCollection`

### getChildren

    public AdminNode[] getChildren()

  Specified by:
    `getChildren` in interface `HasChildren`

### getMenu

    public MenuItem[] getMenu()

  Specified by:
    `getMenu` in interface `HasMenu`

### menuAction

    public int menuAction(int action)

  Specified by:
    `menuAction` in interface `HasMenu`
  Overrides:
    `menuAction` in class `AdminNode`

dbXML API

Copyright (c) 2004 The dbXML Group